using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
	            CategoryBuilder.Create("LSA:GERMANY", "Operation Land, Sea, Air: Germany", ModAPI.LoadSprite("CategoryTN.png"));			
		
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "German Soldat Infanterie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German1icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SoldatInfanterie.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "German Soldat Infanterie Bemaltes Gesicht",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SoldatInfanterie2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Arktischer German Soldat Infanterie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German3icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SoldatInfanterieArktis.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            ); 

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Arktischer German Soldat Infanterie mit Sturmhaube",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German4icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SoldatInfanterieArktis2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            ); 


		    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "GefechtshelmM 92",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the Infanteriegruppe, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GefechM92icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GefechtshelmM92.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "GefechtshelmM 92 Mit Seilen",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the Infanteriegruppe, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GefechM92icon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GefechtshelmM922.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "GefechtshelmM 92 Mit Blättern",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the Infanteriegruppe, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GefechM92icon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GefechtshelmM923.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Mich helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the Infanteriegruppe, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Michicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MICH2001.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );                  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Mich helmet flecktarn",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the Infanteriegruppe, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Michicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MICH2001flecktarn.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "M65 Gas Mask",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "modern mask, capable of stopping even the worst gas.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GasMaskicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/M65gasmask.png", 5.3f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green Beanie",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your head from the deadly cold.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Beanieicon1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GreenBeanie.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green Beanie Mit Brille",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your head from the deadly cold.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Beanieicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GreenBeanie2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Green Beanie mit Nackenschutz",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your head from the deadly cold.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Beanieicon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/GreenBeanie3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Arktische Brille",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your eyes from the deadly cold.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Brilleicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ArktischeBrille.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Schutzweste vest top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Schutz1icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Schutz1.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Schutzweste vest bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Schutz2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Schutz2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Standard Brust Rig top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Rig1icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Rig.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Standard Brust Rig bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Rig2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/Rig2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Angriff Trekking Backpack",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "good fabric, resistant, made to store many things even heavy.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/AngriffTrekicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/AngriffTrekkingBackpack.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Militarischer Gurtel",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Gurtelicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MilitarischerGurtel.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Right MilTec Black Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with mil tec",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/KneePadsicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BlackMilTecKneePads.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Left MilTec Black Knee Pads",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with mil tec",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/KneePadsicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BlackMilTecKneePads2.png", 55f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  
                          
                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "G36",
                 DescriptionOverride = "modern german weapon for Infanteriegruppe",
                 CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/G36icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/G36slide.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/G36.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/g36.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "G36 Transparentes Ladegerät",
                 DescriptionOverride = "modern german weapon for Infanteriegruppe",
                 CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/G36icon2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/G36slide2.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/G362.png", 21f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/g36.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "HKMG4",
                 DescriptionOverride = "heavy weapon capable of destroying dozens of soldiers",
                 CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/HKMG4icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/.png", 21f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/HKMG4.png", 11f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/mg4.wav"),
                     };
                 }
             }
             ); ;

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Black Shark Knife",
                    NameToOrderByOverride = "i",
                    DescriptionOverride = "a fairly sharp and deadly knife",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Knifeicon.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/Knife.png", 13f);
                        Instance.FixColliders();
                    }
                }
            );	

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stielhandgranate"),
                    NameOverride = "M67 Granate",
                    NameToOrderByOverride = "i",
                    DescriptionOverride = "an effective grenade that destroys and kills quite well.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/M6Granateicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Equipment/M67Granate.png", 30f);
                        Instance.FixColliders();
                        Sprite off = ModAPI.LoadSprite("Equipment/M67Granate.png", 30f);
                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                        Instance.GetComponent<SpriteRenderer>().sprite = off;
                     };
                 }
             }
             ); ;                 

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plastic Explosive"),
                    NameOverride = "Blitzschlag",
                    NameToOrderByOverride = "LSA:GERMANY",
                    DescriptionOverride = "Stun enemies and easily neutralize them.",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Blitzschlagicon.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Equipment/Blitzschlag.png", 70f);
                        Instance.FixColliders();
						Instance.AddComponent<UseEventTrigger>().Action = () =>
						{
							ModAPI.CreateParticleEffect("BigZap", Instance.transform.position);
							ModAPI.CreateParticleEffect("Vapor", Instance.transform.position);
							ModAPI.CreateParticleEffect("Flash", Instance.transform.position);
						};
						Instance.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 50f;
						Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 0f;
						Instance.GetComponent<ExplosiveBehaviour>().DismemberChance= 0f;
						ExplosiveBehaviour expl = Instance.GetComponent(typeof(ExplosiveBehaviour)) as ExplosiveBehaviour;
						expl.Range = 0f;
						expl.Delay = 2.5f;
						
                    }
                }
            );

                           ModAPI.Register(
		new Modification()
		{
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Walkie Talkie OTSTNC",
                    DescriptionOverride = "functional walkie talkie with a little reference to a friend's mod (PRESS F TO ON/OFF).",
                    CategoryOverride = ModAPI.FindCategory("LSA:GERMANY"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Walkieicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Equipment/WalkieTalkie.png", 32f);
                        Instance.FixColliders(); 
                        AudioSource AS = Instance.AddComponent<AudioSource>();
                        AS.minDistance = 1;
                        AS.maxDistance = 10;




                        int index = 0;
                        AudioClip[] AudioData = new AudioClip[]
                        {
                            ModAPI.LoadSound("sfx/WalkieTransmision.mp3"),
                            ModAPI.LoadSound("sfx/OffTransmision.mp3"),
                        };


                        Instance.FixColliders();

                        Instance.AddComponent<UseEventTrigger>().Action = () =>
                        {
                            AS.clip = AudioData[index];
                            AS.Play();

                            index++;
                            if (index == AudioData.Length) index = 0;
                        };
                    }
                }
            );

        } 
    }
	
}